Credit Check

Credit Check for Private Customer

Use this API to perform a credit assessment for a private individual (a consumer) based on their social security number (Personal Number).


Endpoint

POST https://demo-api.frontpayment.no/api/v1/connect//credit/check/private

Authentication

Include a Bearer Token in the Authorization header. You can obtain this token from Front Payment.

Example:

Authorization: Bearer YOUR_FRONTPAYMENT_BEARER_TOKEN

Request Payload

Send the following parameters as a JSON object in the request body:

{
    "personalId": "993344228",
    "countryCode": +47,
    "msisdn": 46xxxxxx45
}

Validation Rules

Make sure your request meets the following requirements:

Field Type Description
personalId string Required Personal Number.
countryCode string Optional Country code for the customer's phone number (e.g., "+47").
msisdn string Optional Mobile Subscriber ISDN Number (phone number).

Response

A successful request will return a 200 OK status with the following JSON payload:


    "status_code": 200,
    "status_message": "OK",
    "message": "creditCheckRequestedSuccessfully",
    "is_data": false,
    "data": null,
    "uuid": "CCK3180643398",
}

API returns a 500 or 510 error, it means something failed on the server side

{
    "status_code": 510,
    "status_message": "Execution Exception Occurred",
    "message": "somethingWentWrong",
    "is_error": true,
    "errors": "Array"
}

Credit Check for Corporate Customer

This API performs a credit assessment for a corporate customer (a business or company) based on its organization number.


Endpoint

POST https://demo-api.frontpayment.no/api/v1/connect//credit/check/corporate

Authentication

Include a Bearer Token in the Authorization header. You can obtain this token from Front Payment.

Example:

Authorization: Bearer YOUR_FRONTPAYMENT_BEARER_TOKEN

Request Payload

Send the following parameters as a JSON object in the request body:

{
    "organizationId": "993344228",
}

Validation Rules

Make sure your request meets the following requirements:

Field Type Description
organizationId string Required The official organization number of the company.

Response

A successful request will return a 200 OK status with the following JSON payload:


    "status_code": 200,
    "status_message": "OK",
    "message": "creditCheckRequestedSuccessfully",
    "is_data": false,
    "data": null,
    "uuid": "CCK3180643398",
}

API returns a 500 or 510 error, it means something failed on the server side

{
    "status_code": 510,
    "status_message": "Execution Exception Occurred",
    "message": "somethingWentWrong",
    "is_error": true,
    "errors": "Array"
}

Get Credit Check List

This API allows your application to retrieve a list of all credit checks. We can add startTimestamp and endTimestamp in the request to get credit check within specific time range.


Endpoint

GET https://demo-api.frontpayment.no/api/v1/connect/credit/check/list?startTimestamp={{startTimestamp}}&endTimestamp={{endTimestamp}}

Authentication

Include a Bearer Token in the Authorization header. You can obtain this token from Front Payment.

Example:

Authorization: Bearer YOUR_FRONTPAYMENT_BEARER_TOKEN

Response

A successful request will return a 200 OK status with the following JSON payload:

{
  "status_code": 200,
  "status_message": "OK",
  "message": "creditCheckHistoryRetrievedSuccessfully",
  "is_data": true,
  "data": [
    {
      "uuid": "CCK3180643398",
      "date": "19.03.2025",
      "name": "MONRAD SIV NINA",
      "type": "Private",
      "companyType": null,
      "organizationId": null,
      "personalNumber": "04*******85",
      "countryCode": "+47",
      "msisdn": null,
      "defaultProbability": "15% - 27%",
      "score": 441,
      "scoreMessage": "High to moderate risk, credit up to NOK 20,000 can be approved",
      "riskLevel": "Moderate"
    },
    {
      "uuid": "CCK0813346893"
      "date": "15.03.2025",
      "name": "KNUTSMOEN EIENDOM ANS",
      "type": "Corporate",
      "companyType": "ANS",
      "organizationId": "998379342",
      "personalNumber": null,
      "countryCode": null,
      "msisdn": null,
      "defaultProbability": "0",
      "score": 0,
      "scoreMessage": "Credit information could not be retrieved",
      "riskLevel": "High"
    }
  ]
}

API returns a 510 error, it means something failed on the server side

{
    "status_code": 510,
    "status_message": "Execution Exception Occurred",
    "message": "Something Went Wrong",
    "is_error": true,
    "errors": "Array"
}

Get Credit Check By UUID

This API enables your application to retrieve detailed information for a credit check history using its unique UUID. It provides a complete snapshot of a credit check request including its score, score message, risk level, organizationId/personalNumber.

Use Cases

Endpoint

GET https://demo-api.frontpayment.no/api/v1/connect/credit/check/details/{{creditCheckUuid}}

Authorization

Include a Bearer Token in the Authorization header. You can obtain this token from Front Payment.

Example:

Authorization: Bearer YOUR_FRONTPAYMENT_BEARER_TOKEN

Response

A successful request will return a 200 OK status with the following JSON payload:

{
    "status_code": 200,
    "status_message": "OK",
    "message": "creditCheckHistoryRetrievedSuccessfully",
    "is_data": true,
    "data": {
        "uuid": "String",
        "date: "String",
        "name": "String",
        "type": "String",
        "companyType": "String",
        "organizationId": "String",
        "personalNumber": "String",
        "countryCode": "String",
        "msisdn": "String",
        "defaultProbability": "String",
        "score": "Integer",
        "scoreMessage": "String",
        "riskLevel": "String",
    }
}

API returns a 404 error, it means requested order with ORDER_UUID could not be found in our system.

{
    "status_code": 404,
    "status_message": "Not Found",
    "message": "creditCheckHistoryNotFound",
    "is_data": false,
    "data": null
}

API returns a 510 error, it means something failed on the server side

{
    "status_code": 510,
    "status_message": "Execution Exception Occurred",
    "message": "Something Went Wrong",
    "is_error": true,
    "errors": "Array"
}